Bug 712576

Summary: sec=krb5i shares not mounted on boot
Product: [Fedora] Fedora Reporter: Enrico Scholz <rh-bugzilla>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: bfields, jlayton, steved
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 16:04:49 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Enrico Scholz 2011-06-11 06:13:40 EDT
Description of problem:

with f15, nfs4 shares are not mounted at boot anymore. kernel log
contains:

| [   48.344723] RPC: Registered udp transport module.
| [   48.346802] RPC: Registered tcp transport module.
| [   48.348765] RPC: Registered tcp NFSv4.1 backchannel transport module.
| [   48.396316] SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
| [   48.462229] FS-Cache: Loaded
| [   48.512376] FS-Cache: Netfs 'nfs' registered for caching
| [   48.514648] gss_create: Pseudoflavor 390004 not found!
| [   48.516356] RPC: Couldn't create auth handle (flavor 390004)
| [   52.523689] gss_create: Pseudoflavor 390004 not found!
| [   52.525435] RPC: Couldn't create auth handle (flavor 390004)
| [   52.527635] gss_create: Pseudoflavor 390004 not found!
| [   52.529617] RPC: Couldn't create auth handle (flavor 390004)
| [   52.855731] gss_create: Pseudoflavor 390004 not found!
| [   52.857518] RPC: Couldn't create auth handle (flavor 390004)
| [   52.866544] gss_create: Pseudoflavor 390004 not found!
| [   52.868345] RPC: Couldn't create auth handle (flavor 390004)
| [   52.877211] gss_create: Pseudoflavor 390004 not found!
| [   52.879010] RPC: Couldn't create auth handle (flavor 390004)

entries.  A later, manual 'mount -a -t nfs4' mounts the directories
sucessfully.  Shares are defined as

| cricetus.intern.sigma-chemnitz.de:/home/        /home                   nfs4    exec,nodev,nosuid,rw,sec=krb5i,posix,nointr

in /etc/fstab.


Version-Release number of selected component (if applicable):

kernel-2.6.38.7-30.fc15.x86_64
nfs-utils-1.2.3-11.fc15.x86_64
systemd-26-2.fc15.x86_64


How reproducible:

100%
Comment 1 Steve Dickson 2011-10-04 14:19:42 EDT
This appears to be fixed with kernel-2.6.40.4-5.fc15 
and nfs-utils-1.2.4-3.fc15
Comment 2 Fedora End Of Life 2012-08-07 16:04:51 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping